Package twisted :: Package python :: Module log :: Class StdioOnnaStick

[frames | no frames]

## Class StdioOnnaStick

Class that pretends to be stout/err.

Method Summary
| `__init__(self, isError)`
| `close(self)`
| `fileno(self)`
| `flush(self)`
| `read(self)`
| `readline(self)`
| `readlines(self)`
| `seek(self)`
| `tell(self)`
| `write(self, data)`
| `writelines(self, lines)`

Class Variable Summary
`int` | `closed` = 0
`str` | `mode` = `'wb'`
`str` | `name` = `'<stdio (log)>'`
`int` | `softspace` = 0

Class Variable Details

### closed

  Type:
    `int`
  Value:

        0

### mode

  Type:
    `str`
  Value:

        'wb'

### name

  Type:
    `str`
  Value:

        '<stdio (log)>'

### softspace

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:08:47 2004 | http://epydoc.sf.net